Bug 484434 - sqliteman config directory has unexpected name
sqliteman config directory has unexpected name
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: sqliteman (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Terje Røsten
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-06 14:05 EST by Steve Tyler
Modified: 2009-12-18 02:50 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:50:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Tyler 2009-02-06 14:05:23 EST
Description of problem:
sqliteman puts its config file in $HOME/.cache/yarpen.cz/.
I was expecting to find a config directory named "sqliteman".
The config directories for totem and transmission both have the name of their respective app, so there seems to be a convention.

Version-Release number of selected component (if applicable):
sqliteman-1.2.0-3.fc10.i386

How reproducible:
Always.

Steps to Reproduce:
1. Install sqliteman and run once.
  
Actual results:
The config file is in $HOME/.config/yarpen.cz/

Expected results:
The config file is in $HOME/.config/sqliteman/

Additional info:
The directory name "yarpen.cz" appears to be hard-coded in several places in the code.
Comment 1 Terje Røsten 2009-02-08 05:51:59 EST
This seems like a convention with Qt apps:

I have Trolltech (qt itself), www.devslashzero.com (teamgit), yarpen.cz (sqliteman). 

A bit strange, maybe ping upstream about this, a Fedora only patch to fix this don't make sense.
Comment 2 Steve Tyler 2009-02-16 09:17:05 EST
For cross reference:

0000144: Location for config files 
http://www.sqliteman.com/bugtracker/view.php?id=144

Thanks.
Comment 3 Bug Zapper 2009-11-18 06:00:33 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-12-18 02:50:04 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.